KOCRDialogFactory Class Referenceabstract

`#include <kscan.h>`

Inherits KLibFactory.

## Public Member Functions

virtual KOCRDialog * | createDialog (QWidget *parent=0, const char *name=0, bool modal=false)=0

## Protected Member Functions

| KOCRDialogFactory (QObject *parent=0, const char *name=0)
virtual QObject * | createObject (QObject *parent=0, const char *name=0, const char *className="QObject", const QStringList &args=QStringList())
void | setName (const QCString &instanceName)
KInstance * | instance () const
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A factory for creating a KOCRDialog.

You need to reimplement createDialog(). Factory for creating KScanDialogs

Definition at line 318 of file kscan.h.

## Constructor & Destructor Documentation

KOCRDialogFactory::KOCRDialogFactory | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

protected

Creates a new KScanDialogFactory.

Parameters

  parent | the QWidget's parent, or 0
  name | the name of the QObject, can be 0

Definition at line 143 of file kscan.cpp.

## Member Function Documentation

virtual KOCRDialog* KOCRDialogFactory::createDialog | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `false`
| ) |  |

pure virtual

Your library should reimplement this method to return your KOCRDialog derived dialog.

Parameters

  parent | the QWidget's parent, or 0
  name | the name of the QObject, can be 0
  modal | if true the dialog is model

KInstance* KOCRDialogFactory::instance | ( |  | ) | const

inline protected

Returns the instance.

Returns
  the KInstance

Definition at line 359 of file kscan.h.

void KOCRDialogFactory::setName | ( | const QCString & | instanceName | ) |

inline protected

Creates a new instance with the given name.

Parameters

  instanceName | the name of the instance

Definition at line 350 of file kscan.h.

The documentation for this class was generated from the following files:

- kscan.h
- kscan.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys